Bug 1732143 - Authentication: Improve config.openshift.io resource description
Summary: Authentication: Improve config.openshift.io resource description
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.0
Assignee: Stefan Schimanski
QA Contact: Wei Sun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 19:19 UTC by Samuel Padgett
Modified: 2019-10-16 06:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1732141
: 1732144 (view as bug list)
Environment:
Last Closed: 2019-10-16 06:30:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
Descriptions in console (248.56 KB, image/png)
2019-07-22 19:20 UTC, Samuel Padgett
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:30:37 UTC

Description Samuel Padgett 2019-07-22 19:19:29 UTC
The various cluster config config.openshift.io resource descriptions have been copied and pasted from each other and have no detail. Administrators don't know what these configurations are for. I've attached a screenshot of how this looks in console (not good) and why we want to update each description.

Per Clayton, this is a high severity bug.

Comment 1 Samuel Padgett 2019-07-22 19:20:12 UTC
Created attachment 1592682 [details]
Descriptions in console

Comment 2 Stefan Schimanski 2019-07-23 08:45:30 UTC
Fixed in https://github.com/openshift/api/pull/386

Comment 3 Stefan Schimanski 2019-07-23 11:41:34 UTC
Updated CRDs in https://github.com/openshift/cluster-config-operator/pull/74

Comment 4 Chuan Yu 2019-07-31 07:28:05 UTC
Verified on 4.2.0-0.nightly-2019-07-30-214012

$ oc explain authentication
KIND:     Authentication
VERSION:  config.openshift.io/v1

DESCRIPTION:
     Authentication specifies cluster-wide settings for authentication (like
     OAuth and webhook token authenticators). The canonical name of an instance
     is `cluster`.

.....

Comment 6 errata-xmlrpc 2019-10-16 06:30:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.